# Shares 1.10.0 Patch Level 1
**Operating Systems:** Linux and Windows
**Date: 16/02/2023** 

This patch includes the following fixes:

### Patch Level 1 Fixes
| Jira Issue | Description                                                                                                    |
| ---------- |:-------------------------------------------------------------------------------------------------------------- |
| AS-531     | Upgrate JQuery-UI to version 1.13.2 |

## PATCH INSTRUCTIONS

### Applying the patch for Linux systems:

1. Download the patch file (`IBM_Aspera_Shares_1.10.0_Linux_Windows_Patch_Level_1.zip`) and unzip it.

2. Make sure to back-up all the files in the shares folder (`/opt/aspera/shares/`).

3. Stop the Shares service:

    ```
    service aspera-shares stop 
    ```

4. Run the following command to replace existing files with patch files:

    `Important: The file path"<path/to/patch/folder>/IBM_Aspera_Shares_1.10.0_Linux_Windows_Patch_Level_1" is the equivalent of <patch_path> in the command.`

    ```
    /bin/cp -r <patch_path>* /opt/aspera/shares/u/shares/
    ```

5. Run the following command to remove the previous version of JQuery-UI **(Optional)**:

    ```
    rm -rf /opt/aspera/shares/u/shares/public/javascripts/third-party/jquery-ui-1.12.1
    ```

6. Restart the Shares service:

    ```
    service aspera-shares restart 
    ```

7. Check the patch level number listed in the footer to confirm the patch was installed correctly. (beneath the version number).


### Applying the patch for Windows systems:

1. Download the patch file (`IBM_Aspera_Shares_1.10.0_Linux_Windows_Patch_Level_1.zip`) and unzip it.

2. Make sure to back up all the files in the shares folder (`C:\Shares`).

3. Stop all Shares services with patch files:

    a. Go to **Control Panel > Administrative Tools > Services**.
    
    b. Right click each 'IBM Aspera Shares' services and select **Stop** from the menu.
    
4. Copy the patch files to the corresponding directories under `C:\Shares\www` to  replace the existing files.

5. Remove the previous version of JQuery-UI: (`C:\Shares\www\public\javascripts\third-party\jquery-ui-1.12.1`)**(Optional)**

6. Restart all Shares services:

    a. Go to **Control Panel > Administrative Tools > Services**.
    
    b. Right click each 'IBM Aspera Shares' service and select **Start** from the menu.

7. Check the patch level number listed in the footer to confirm the patch was installed correctly. (beneath the version number).


© IBM Aspera. Copyright IBM Corp. 2009, 2023